<script>
  const width = 100;
  const height = 100;
  const margin = { top: 5, right: 5, bottom: 5, left: 5 };
  const innerWidth = width - margin.left - margin.right;
  const innerHeight = height - margin.top - margin.bottom;
  const square_width = 40
  const square_height = 40
  const circle_radius = 20
</script>

<svg {width} {height}>
  <g transform="translate({margin.left}, {margin.top})">
    <rect x="{innerWidth/2 - square_width/2}" y="{innerHeight/2 - square_height/2}" width="{square_width}" height="{square_height}" />
    <circle cx="{innerWidth - circle_radius}" cy="{innerHeight - circle_radius}" r="{circle_radius}"/>
  </g>
</svg>

<style>
  svg {
    border: 1px solid black;
    border-radius: 5px;
  }
  rect {
    fill: yellow;
    stroke: yellow;
  }
  circle {
    fill: skyblue;
    stroke: skyblue;
  }
</style>
